Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime
Class FOREACH

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.JacobRunnable
              org.apache.ode.bpel.runtime.BpelJacobRunnable
                  org.apache.ode.bpel.runtime.FOREACH

All Implemented Interfaces:
  java.io.Serializable, IndexedObject

    public class FOREACH

extends BpelJacobRunnable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `org.apache.ode.bpel.runtime.ACTIVITY.Key`

Field Summary
`protected org.apache.ode.bpel.runtime.LinkFrame` | `_linkFrame`
`protected boolean` | `_permeable` Permeability flag, if `false` we defer outgoing links until successful completion.
`protected org.apache.ode.bpel.runtime.ScopeFrame` | `_scopeFrame`
`protected org.apache.ode.bpel.runtime.ActivityInfo` | `_self`

Constructor Summary
`FOREACH(org.apache.ode.bpel.runtime.ActivityInfo self, org.apache.ode.bpel.runtime.ScopeFrame frame, org.apache.ode.bpel.runtime.LinkFrame linkFrame)`

Method Summary
`protected void` | `dpe(java.util.Collection<OLink> links)`
`protected void` | `dpe(OActivity activity)` Perform dead-path elimination on an activity that was not started.
`protected void` | `fillEventContext(ScopeEvent event)` Populate BpelEventContext, to be used by Registered Event Listeners
`protected OConstants` | `getConstants()`
`protected EvaluationContext` | `getEvaluationContext()`
`java.lang.Object` | `getKey()` Get the value of the object's index.
`void` | `run()` Peform the template reduction, i.e.
`protected void` | `sendEvent(ActivityEvent event)`
`protected void` | `sendEvent(ScopeEvent event)`
`protected void` | `sendVariableReadEvent(VariableInstance var)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.runtime.BpelJacobRunnable
`createChild, createFault, createFault, createFault, genMonotonic, getBpelRuntimeContext, initializeCorrelation, log`

Methods inherited from class org.apache.ode.jacob.JacobRunnable
`getImplementedMethods`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _self

    protected org.apache.ode.bpel.runtime.ActivityInfo _self

### _permeable

    protected boolean _permeable

  Permeability flag, if `false` we defer outgoing links until successful completion.

### _scopeFrame

    protected org.apache.ode.bpel.runtime.ScopeFrame _scopeFrame

### _linkFrame

    protected org.apache.ode.bpel.runtime.LinkFrame _linkFrame

Constructor Detail

### FOREACH

    public FOREACH(org.apache.ode.bpel.runtime.ActivityInfo self,
                   org.apache.ode.bpel.runtime.ScopeFrame frame,
                   org.apache.ode.bpel.runtime.LinkFrame linkFrame)

Method Detail

### run

    public void run()

  Description copied from class: `JacobRunnable`
  Peform the template reduction, i.e. do whatever it is that the templetized process does. This method may do some combination of in-line Java, and JACOB operations.

  Note that JACOB operations are performed in parallel, so the sequencing of JACOB operations is irrelevant

  Specified by:
    `run` in class `JacobRunnable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JacobRunnable`

### getKey

    public java.lang.Object getKey()

  Description copied from interface: `IndexedObject`
  Get the value of the object's index.

  Specified by:
    `getKey` in interface `IndexedObject`
  Returns:

### sendVariableReadEvent

    protected void sendVariableReadEvent(VariableInstance var)

### sendEvent

    protected void sendEvent(ActivityEvent event)

### sendEvent

    protected void sendEvent(ScopeEvent event)

### fillEventContext

    protected void fillEventContext(ScopeEvent event)

  Populate BpelEventContext, to be used by Registered Event Listeners

  Parameters:
    `event` - ScopeEvent

### dpe

    protected void dpe(java.util.Collection<OLink> links)

### getConstants

    protected OConstants getConstants()

### dpe

    protected void dpe(OActivity activity)

  Perform dead-path elimination on an activity that was not started.

  Parameters:
    `activity` -

### getEvaluationContext

    protected EvaluationContext getEvaluationContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD